/*
   this file is generated automatically by searx_extra/update/update_pygments.py 
   using pygments version 2.8.0
*/

.code-highlight .linenos {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: default;
    
    &::selection {
        background: transparent; /* WebKit/Blink Browsers */
    }
    &::-moz-selection {
        background: transparent; /* Gecko Browsers */
    }

    margin-right: 8px;
    text-align: right;
}

.code-highlight pre { line-height: 125%; }
.code-highlight td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
.code-highlight span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
.code-highlight td.linenos .special { color: @textcolor-dark; background-color: @postbright; padding-left: 5px; padding-right: 5px; }
.code-highlight span.linenos.special { color: @textcolor-dark; background-color: @postbright; padding-left: 5px; padding-right: 5px; }
.code-highlight .hll { background-color: @postbright }
.code-highlight { background: #282C34; }
.code-highlight .c { color: #556366; font-style: italic } /* Comment */
.code-highlight .err { border: 1px solid #ff0000 } /* Error */
.code-highlight .k { color: #BE74D5; font-weight: bold } /* Keyword */
.code-highlight .o { color: #D19A66 } /* Operator */
.code-highlight .ch { color: #556366; font-style: italic } /* Comment.Hashbang */
.code-highlight .cm { color: #556366; font-style: italic } /* Comment.Multiline */
.code-highlight .cp { color: #BC7A00; font-style: italic } /* Comment.Preproc */
.code-highlight .cpf { color: #556366; font-style: italic } /* Comment.PreprocFile */
.code-highlight .c1 { color: #556366; font-style: italic } /* Comment.Single */
.code-highlight .cs { color: #556366; font-style: italic } /* Comment.Special */
.code-highlight .gd { color: #A00000 } /* Generic.Deleted */
.code-highlight .ge { font-style: italic } /* Generic.Emph */
.code-highlight .gr { color: #FF0000 } /* Generic.Error */
.code-highlight .gh { color: @textcolor-dark; font-weight: bold } /* Generic.Heading */
.code-highlight .gi { color: #00A000 } /* Generic.Inserted */
.code-highlight .go { color: #888888 } /* Generic.Output */
.code-highlight .gp { color: @textcolor-dark; font-weight: bold } /* Generic.Prompt */
.code-highlight .gs { font-weight: bold } /* Generic.Strong */
.code-highlight .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.code-highlight .gt { color: #0044DD } /* Generic.Traceback */
.code-highlight .kc { color: #BE74D5; font-weight: bold } /* Keyword.Constant */
.code-highlight .kd { color: #BE74D5; font-weight: bold } /* Keyword.Declaration */
.code-highlight .kn { color: #BE74D5; font-weight: bold } /* Keyword.Namespace */
.code-highlight .kp { color: #BE74D5; font-weight: bold } /* Keyword.Pseudo */
.code-highlight .kr { color: #BE74D5; font-weight: bold } /* Keyword.Reserved */
.code-highlight .kt { color: #D46C72; font-weight: bold } /* Keyword.Type */
.code-highlight .m { color: #D19A66 } /* Literal.Number */
.code-highlight .s { color: #86C372 } /* Literal.String */
.code-highlight .na { color: #7D9029 } /* Name.Attribute */
.code-highlight .nb { color: #BE74D5 } /* Name.Builtin */
.code-highlight .nc { color: #61AFEF; font-weight: bold } /* Name.Class */
.code-highlight .no { color: #D19A66 } /* Name.Constant */
.code-highlight .nd { color: #AA22FF } /* Name.Decorator */
.code-highlight .ni { color: #999999; font-weight: bold } /* Name.Entity */
.code-highlight .ne { color: #D2413A; font-weight: bold } /* Name.Exception */
.code-highlight .nf { color: #61AFEF } /* Name.Function */
.code-highlight .nl { color: #A0A000 } /* Name.Label */
.code-highlight .nn { color: #61AFEF; font-weight: bold } /* Name.Namespace */
.code-highlight .nt { color: #BE74D5; font-weight: bold } /* Name.Tag */
.code-highlight .nv { color: #DFC06F } /* Name.Variable */
.code-highlight .ow { color: #AA22FF; font-weight: bold } /* Operator.Word */
.code-highlight .w { color: #D7DAE0 } /* Text.Whitespace */
.code-highlight .mb { color: #D19A66 } /* Literal.Number.Bin */
.code-highlight .mf { color: #D19A66 } /* Literal.Number.Float */
.code-highlight .mh { color: #D19A66 } /* Literal.Number.Hex */
.code-highlight .mi { color: #D19A66 } /* Literal.Number.Integer */
.code-highlight .mo { color: #D19A66 } /* Literal.Number.Oct */
.code-highlight .sa { color: #86C372 } /* Literal.String.Affix */
.code-highlight .sb { color: #86C372 } /* Literal.String.Backtick */
.code-highlight .sc { color: #86C372 } /* Literal.String.Char */
.code-highlight .dl { color: #86C372 } /* Literal.String.Delimiter */
.code-highlight .sd { color: #86C372; font-style: italic } /* Literal.String.Doc */
.code-highlight .s2 { color: #86C372 } /* Literal.String.Double */
.code-highlight .se { color: #BB6622; font-weight: bold } /* Literal.String.Escape */
.code-highlight .sh { color: #86C372 } /* Literal.String.Heredoc */
.code-highlight .si { color: #BB6688; font-weight: bold } /* Literal.String.Interpol */
.code-highlight .sx { color: #BE74D5 } /* Literal.String.Other */
.code-highlight .sr { color: #BB6688 } /* Literal.String.Regex */
.code-highlight .s1 { color: #86C372 } /* Literal.String.Single */
.code-highlight .ss { color: #DFC06F } /* Literal.String.Symbol */
.code-highlight .bp { color: #BE74D5 } /* Name.Builtin.Pseudo */
.code-highlight .fm { color: #61AFEF } /* Name.Function.Magic */
.code-highlight .vc { color: #DFC06F } /* Name.Variable.Class */
.code-highlight .vg { color: #DFC06F } /* Name.Variable.Global */
.code-highlight .vi { color: #DFC06F } /* Name.Variable.Instance */
.code-highlight .vm { color: #DFC06F } /* Name.Variable.Magic */
.code-highlight .il { color: #D19A66 } /* Literal.Number.Integer.Long */
